<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100041";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
								
////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Ventana Acuse de Recibo -->
<?PHP
////Arrastrando campos del Formulario
	$NoDocCompleEn=$_GET['NoComplekp'];
?>
<script language="JavaScript" type="text/javascript">
<!--
function PopWindow()
{
window.open('ToPDF/Reportes/PDF_AcuseRecibo.php?UsuKP=<?PHP echo $UsuEn; ?>&IdDAcce=<?PHP echo $IDSeEn; ?>&TokenKP=<?PHP echo $TokEn; ?>&CtaSKP=<?PHP echo $CtaSesionEn; ?>&VPN=<?PHP echo $VpnEn; ?>&LT=<?PHP echo $LtEn; ?>&txt_NoDoc=<?PHP echo $NoDocCompleEn;?>','|| Acuse de Recibo ||','width=900,height=600,menubar=yes,scrollbars=ye s,toolbar=yes,location=yes,directories=yes,resizab le=yes,top=25,left=25');
}
//-->
</script>
<!-- Termina Ventana Acuse de Recibo -->

</head>

<body onload="JavaScript:PopWindow()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

		//////Arrastrando campos del Formulario
		$NoDocCompleEn=$_GET['NoComplekp'];
			
		/////////CONSULTAR EL DOCUMENTO COMPLEMENTO EN LA TABLA INVENTARIO///////
	    $sql = "select NO_DOC_COMPLE,SKU,CADUCIDAD,SKU_ALT,DESCRIPCION,CANTIDAD,PIEZASXCAJA,NO_PALLET,LOTE,PROVEEDOR from tabla_inventario where NO_DOCUMENTO='$NoDocCompleEn' and CVE_CUENTA='$CveCueCR1'";
		$res=mysql_query($sql) or die('Error en la consulta: '.mysql_error());
		While($row = mysql_fetch_array($res,MYSQL_ASSOC))
			{
			$PDocComple=$row["NO_DOC_COMPLE"];
			$PSKU=$row["SKU"];
			$PCadu=$row["CADUCIDAD"];
			$PSKUAlt=$row["SKU_ALT"];
			$PDescrip=$row["DESCRIPCION"];
			$PCantidad=$row["CANTIDAD"];
			
			$PiXCaja=$row["PIEZASXCAJA"];
			$PCajasProceso=$PCantidad/$PiXCaja;
			$PCajas=number_format("$PCajasProceso", 2, ".", ".");
			
			$PNoPallet=$row["NO_PALLET"];
			$PLote=$row["LOTE"];
			$PProveedor=$row["PROVEEDOR"];
	

	 ///////GENERADOR DE FOLIO PARA LA TABLA temporal_etiquetapallet///////////
		$sqlID = "select max(ID) as ultimo_FOLIO from temporal_etiquetapallet"; 
		$lib = mysql_query($sqlID); 
		$rs_lib = mysql_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
		
	//////GUARDAR LOS DATOS DE LAS ETIQUETAS EN LA TABLA EL LA BD//////////
		$sql = "insert into temporal_etiquetapallet (ID,CVE_BODEGA,CVE_CUENTA,CUENTA,NO_DOC_COMPLE,SKU,CADUCIDAD,SKU_ALT,DESCRIPCION,PIEZAS,CAJAS,NO_PALLET,USUARIO_ALTA,HORA,FECHA)
		values('$id_nuevo','$CveBodCR1','$CveCueCR1','$CtaSesionEn','$PDocComple','$PSKU','$PCadu','$PSKUAlt','$PDescrip','$PCantidad','$PCajas','$PNoPallet','$UsuEn','$HoraOK','$Fecha')";
		$resultado=mysql_query($sql,$conexion) or die(mysql_error());
			
///*+*+*+*+*+*+*+ Inicia Proceso de Solicitud de Etiqueta ZPL a Base de Datos Externa *+*+*+*+*+*+*+///
			
	///Conexión a BD Externa 
	$conexion2=mysql_connect("52.20.207.221","usuLabels_2021","R6y57_nn") or die("El servidor no funciona"); 
	$base2=mysql_select_db("wms_labels_multicliente",$conexion2) or die("La base no funciona");
	mysql_set_charset("UTF8", $conexion2);
			
	///Guardar registro en BD
	$sql_GF = "select max(Id) as ultimo_FOLIO_GF from tabla_etiquetas_pallet"; 
	$lib_GF = mysql_query($sql_GF); 
	$rs_lib_GF = mysql_fetch_assoc($lib_GF); 
	$id_nuevo_GF = $rs_lib_GF['ultimo_FOLIO_GF'] + 1;
			
	$sql_GR = "insert into tabla_etiquetas_pallet (Id,Cve_Cliente_Mstech,Cve_Bodega,Cve_Cuenta,Nombre_Cuenta,No_Documento,Cve_Proveedor,No_Pallet,Sku,Alt,Descripcion,Cantidad,Cajas,Lote,Caducidad,Usuario_Reg,Fecha_Reg,Hora_Reg,Check_Etiqueta)
    values('$id_nuevo_GF','MS001','$CveBodCR1','$CveCueCR1','$CtaSesionEn','$PDocComple','$PProveedor','$PNoPallet','$PSKU','$PSKUAlt','$PDescrip','$PCantidad','$PCajas','$PLote','$PCadu','$UsuEn','$Fecha','$HoraOK','0')";
	$resultado_GR=mysql_query($sql_GR,$conexion2) or die(mysql_error());
			
///*+*+*+*+*+*+*+ Termina Proceso de Solicitud de Etiqueta ZPL a Base de Datos Externa *+*+*+*+*+*+*+///
			
			///Limpiando Variables
			$PDocComple = "";
			$PSKU = "";
			$PCadu = "";
			$PSKUAlt = "";
			$PDescrip = "";
			$PCantidad = "";
			$PiXCaja = "";
			$PCajasProceso = "";
			$PCajas = "";
			$PNoPallet = "";
			$PLote = "";
			$PProveedor = "";
			
	///Conexión a BD Interna
	$conexion=mysql_connect("localhost","Usu01_WmsWic_DC","t235ppR_") or die("El servidor no funciona"); 
	$base=mysql_select_db("wms_wicore",$conexion) or die("La base no funciona"); 
	mysql_set_charset("UTF8", $conexion);
		
			}///Fin While de Guardado
			

echo "<script>alert('ETIQUETAS SOLICITADAS CORRECTAMENTE');</script>";
echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Home.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>